%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  OmicsQC
%global packver   1.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Nominating Quality Control Outliers in Genomic Profiling Studies

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-utils 
BuildRequires:    R-CRAN-fitdistrplus 
BuildRequires:    R-CRAN-lsa 
BuildRequires:    R-CRAN-BoutrosLab.plotting.general 
Requires:         R-stats 
Requires:         R-utils 
Requires:         R-CRAN-fitdistrplus 
Requires:         R-CRAN-lsa 
Requires:         R-CRAN-BoutrosLab.plotting.general 

%description
A method that analyzes quality control metrics from multi-sample genomic
sequencing studies and nominates poor quality samples for exclusion. Per
sample quality control data are transformed into z-scores and aggregated.
The distribution of aggregated z-scores are modelled using parametric
distributions. The parameters of the optimal model, selected either by
goodness-of-fit statistics or user-designation, are used for outlier
nomination. Two implementations of the Cosine Similarity Outlier Detection
algorithm are provided with flexible parameters for dataset customization.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
